Subject: bug#33791: 26.1; Eshell on Windows connecting to GNU/Linux machine using TRAMP and plink: env: ‘c:/home/jordan/test.sh’: No such file or directory

From: Eli Zaretskii <[email-masked]>
Date: Sun, 23 Dec 2018 18:51:11 +0200

> From: Michael Albinus <[email-masked]>
> Cc: Jordan Wilson <[email-masked]>,  [email-masked]
> Date: Sun, 23 Dec 2018 17:42:52 +0100
> 
> > Michael, do you agree with this solution?  Do you think it's safe
> > enough to put it on the release branch (it's a regression from a few
> > years ago)?
> 
> Please give me some days, I hope to work on this over the next days. I
> know you are busy with Emacs 26.2; if it cannot wait just go on with
> your fix.

It can wait, take your time.

> Btw, what about supporting locate-file by file name handlers? Just an
> idea, and it wouldn't work in Emacs 26.

That would be a good goal for the master branch, I think.